<?php
saxue_includedb();
class saxuefriendlink extends saxueobjectdata {
		function saxuefriendlink() {
				$this -> initvar( "linkid", SAXUE_TYPE_INT, 0, "", false, 5 );
				$this -> initvar( "type", SAXUE_TYPE_INT, 0, "", false, 1 );
				$this -> initvar( "title", SAXUE_TYPE_TXTBOX, "", "", false, 50 );
				$this -> initvar( "url", SAXUE_TYPE_TXTBOX, "", "", false, 250 );
				$this -> initvar( "logo", SAXUE_TYPE_TXTBOX, "", "", false, 250 );
				$this -> initvar( "intro", SAXUE_TYPE_TXTBOX, "", "", false, 250 );
				$this -> initvar( "contact", SAXUE_TYPE_TXTBOX, "", "", false, 30 );
				$this -> initvar( "listorder", SAXUE_TYPE_INT, 0, "", false, 4 );
				$this -> initvar( "addtime", SAXUE_TYPE_INT, 0, "", false, 10 );
				$this -> initvar( "display", SAXUE_TYPE_INT, 1, "", false, 1 );
		} 
} 

class saxuefriendlinkhandler extends saxueobjecthandler {
		function saxuefriendlinkhandler( $_db = "" ) {
				$this -> saxueobjecthandler( $_db );
				$this -> basename = "friendlink";
				$this -> autoid = "linkid";
				$this -> dbname = "friendlink";
		} 
}